# $Revision: 1.128.2.5 $, $Date: 2007/06/08 20:39:02 $
# TODO:
# - PLD patch renames man.conf to man.config, but all manuals are named man.conf(5)
Summary:	Manual page reader
Summary(de):	Manual-Page-Reader
Summary(es):	Lector de pginas de manual (man)
Summary(fr):	Lecteur de pages de man
Summary(ko):	    : , apropos ׸ whatis
Summary(pl):	Czytnik stron man
Summary(pt_BR):	Leitor de pginas de manuais (man)
Summary(ru):	   : man, apropos  whatis
Summary(tr):	Klavuz sayfas okuyucusu
Summary(uk):	¦ ̦  æ: man, apropos  whatis
Name:		man
Version:	1.6d
Release:	6
License:	GPL
Group:		Applications/System
Source0:	http://primates.ximian.com/~flucifredi/man/%{name}-%{version}.tar.gz
# Source0-md5:	36d3f65bcc10f0754a3234e00d92ad6d
Source1:	makewhatis.crondaily
Source2:	makewhatis.cronweekly
Source3:	%{name}-additional-%{name}-pages.tar.bz2
# Source3-md5:	16c3fde2243289524cf40c1d2e7150e4
Patch0:		%{name}-manpaths.patch
Patch1:		%{name}-PLD.patch
Patch2:		%{name}-fhs.patch
Patch3:		%{name}-makewhatis.patch
Patch4:		%{name}-safer.patch
Patch5:		%{name}-security.patch
Patch6:		%{name}-roff.patch
Patch7:		%{name}-sofix.patch
Patch8:		%{name}-ro-usr.patch
Patch9:		%{name}-bug11621.patch
Patch10:	%{name}-gencat.patch
Patch11:	%{name}-nls-priority.patch
Patch12:	%{name}-pmake.patch
Patch13:	%{name}-fmntbug.patch
Patch14:	%{name}-awk_path.patch
Patch15:	%{name}-cgi_paths.patch
Patch16:	%{name}-relat.patch
Patch17:	%{name}-encoding.patch
URL:		http://primates.ximian.com/~flucifredi/man/
BuildRequires:	less
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	fileutils
Requires:	%{name}-config = %{version}-%{release}
Requires:	/bin/awk
Requires:	groff
Requires:	gzip
Requires:	less
Requires:	mktemp >= 1.5-8
Obsoletes:	man-cs
Obsoletes:	man-da
Obsoletes:	man-de
Obsoletes:	man-es
Obsoletes:	man-fr
Obsoletes:	man-it
Obsoletes:	man-nl
Obsoletes:	man-pl
Obsoletes:	man-pt
Obsoletes:	man-sl
Conflicts:	tmpwatch < 2.9.6-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_cgibinmandir		/usr/lib/cgi-bin/man
%define		_cgiauxmandir		/usr/share/man2html-cgi
%define		_webapps	/etc/webapps
%define		_webapp		man2html
%define		_webappdir	%{_webapps}/%{_webapp}

%description
The man package includes three tools for finding information and/or
documentation about your Linux system: man, apropos and whatis. The
man system formats and displays on-line manual pages about commands or
functions on your system. Apropos searches the whatis database
(containing short descriptions of system commands) for a string.
Whatis searches its own database for a complete word.

Whatis and apropos are in a separate package, man-whatis.

%description -l de
Die man-Seiten-Suite, einschlielich Handbuch, Apropos und Whatis.
Diese Programme dienen zum Einsehen des Groteils der Dokumentation,
die auf einem Linux-System verfgbar ist. Die Whatis- und
Apropos-Programme dienen dazu, Beschreibungen zu bestimmten Themen zu
finden.

whatis und apropos sind im Paket man-whatis.

%description -l es
Es un conjunto de pginas de manual, incluyendo man, apropos y whatis.
Estos programas se usan para leer la mayora de la documentacin
disponible en el sistema Linux. Los programas whatis y apropos pueden
ser usados para encontrar documentacin relacionada con un asunto
particular.

%description -l fr
Ensemble des pages man. Contient man, apropos et whatis. Ces
programmes servent  lire la plupart de la documentation disponible
sur un systme Linux. Les programmes whatis et apropos servent 
trouver la documentation relative  un sujet prcis.

%description -l pl
Pakiet man zawiera man, apropos i whatis. Te programy s uywane do
czytania wikszoci dokumentacji dostpnej w systemie Linux. Programy
whatis i apropos mog by uyte do znalezienia dokumentacji na tematy
powizane z poszukiwanym.

Narzdzia whatis i apropos s w oddzielnym pakiecie - man-whatis.

%description -l pt_BR
 um conjunto de pginas de manual, incluindo man, apropos e whatis.
Estes programas so usados para ler a maioria da documentao
disponvel no sistema Linux. Os programas whatis e apropos podem ser
usados para achar documentao relacionada com um assunto particular.

%description -l tr
Klavuz sayfa takm: man, apropos, whatis. Bu programlar Linux
sisteminde bulunan birok belgenin okunmasnda kullanylyr. whatis ve
apropos programlar zel bir konu ile alakal belgeleri bulmak iin
kullanlabilir.

%description -l ru
 man       /
   : man, apropos  whatis.  man
        
  . Apropos      
whatis (    ). Whatis  
    .

%description -l uk
 man ͦ  ̦   æ /
æ   : man, apropos  whatis.  man
դ  դ צ Ҧ     æ
ϧ . Apropos     ڦ  whatis (
ͦ ˦   ). Whatis   ϧ ڦ
˦Φ .

%package config
Summary:	Manual page reader configuration
Summary(pl):	Konfiguracja czytnikw podrcznikw
Group:		Applications/System

%description config
Configuration file for different manual page browsers.

%description config -l pl
Plik konfiguracyjny dla rnych czytnikw podrcznikw.

%package whatis
Summary:	whatis utilities
Summary(pl):	Narzdzia whatis
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	crondaemon

%description whatis
This package provides the following utilities: apropos, whatis and
makewhatis.

%description whatis -l pl
Ten pakiet dostracza nastpujce narzdzia: apropos, whatis i
makewhatis.

%package -n man2html
Summary:	manroff to html converter
Summary(pl):	Konwerter formatu manroff na html
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description -n man2html
This program can convert man pages stored in manroff format to html.

%description -n man2html -l pl
Program man2html suy do konwersji plikw manuala zapisanych w
formacie manroff na format html.

%package -n man2html-cgi
Summary:	CGI interface to man2html
Summary(pl):	Interfejs CGI dla man2html
Group:		Applications/System
Requires:	%{name}-whatis = %{version}-%{release}
Requires:	filesystem >= 2.0-1
Requires:	man2html = %{version}-%{release}
Requires:	webapps
Conflicts:	apache-base < 2.2.0-7.2
Conflicts:	apache1 < 1.3.34-5.11

%description -n man2html-cgi
These scripts allows read man pages throught WWW browser. It uses
man2htlm program to convert man pages to html format. Scripts are
still in alpha stage, could be not secure.

%description -n man2html-cgi -l pl
Skrypty znajdujce si w pakiecie pozwalaj czyta strony man przy
pomocy przegldarki WWW. Skrtpty wykorzystuj program man2html do
konwersji stron man na html. Programy s cigle w stadium alfa i mog
nie by bezpieczne.

%prep
%setup -q -a3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

# use gzip (not bzip2) to compress formatted man pages
sed -i -e 's/compress=$/compress=gzip/' configure

cat << 'EOF' > apache.conf
ScriptAlias /cgi-bin/man %{_cgibinmandir}
<Directory %{_cgibinmandir}>
	Allow from all
</Directory>
EOF

%build
./configure \
	-default \
	+fhs \
	+lang all \
	-confdir %{_sysconfdir}

%{__make} \
	BUILD_CC="%{__cc} %{rpmcflags} %{rpmldflags}" \
	CC="%{__cc} %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/cron.{daily,weekly},%{_bindir},%{_mandir},%{_sbindir},%{_cgibinmandir},%{_cgiauxmandir}} \
	$RPM_BUILD_ROOT{%{_mandir}/{hu,ja,ko}/man{1,5,8},%{_webappdir},/etc/tmpwatch}

echo '# Cleanup man temporary files:' > $RPM_BUILD_ROOT/etc/tmpwatch/man.conf
echo "/var/cache/man 240 -d" >> $RPM_BUILD_ROOT/etc/tmpwatch/man.conf
echo '%defattr(644,root,root,755)' > man.lang
for i in "" bg ca cs da de el es fi fr gl hr hu id it ja ko nl pl pt pt_BR \
	 ro ru sk sl sr sv tr uk zh_CN zh_TW; do
	if [ "$i" ]; then
		lng="%lang($i) "
		i="/$i"
	else
		lng=""
	fi
	for cdir in "" /local /X11R6 ; do
		install -d $RPM_BUILD_ROOT/var/cache/man${cdir}$i/cat{1,2,3,4,5,6,7,8,9,n}
		echo "${lng}%dir /var/cache/man${cdir}$i" >> man.lang
		echo "${lng}%attr(775,root,man) /var/cache/man${cdir}$i/cat[1-9n]" >> man.lang
	done
done

%{__make} install \
	PREFIX="$RPM_BUILD_ROOT"

%{__make} -C man2html install-scripts \
	PREFIX="$RPM_BUILD_ROOT"

# for man_db and xman compatibility
ln -sf soelim $RPM_BUILD_ROOT%{_bindir}/zsoelim

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/makewhatis
install %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis

touch $RPM_BUILD_ROOT/var/cache/man/whatis

install man/el/hman.man $RPM_BUILD_ROOT%{_mandir}/el/man1/hman.1
install man/el/man2html.man $RPM_BUILD_ROOT%{_mandir}/el/man1/man2html.1
install man/hu/man1/* $RPM_BUILD_ROOT%{_mandir}/hu/man1
install man/ja/man1/{hman,man2html}.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1
install man/ja/man8/makewhatis.8 $RPM_BUILD_ROOT%{_mandir}/ja/man8
install man/pl/man1/man2html.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1
install man/ro/man2html.man $RPM_BUILD_ROOT%{_mandir}/ro/man1/man2html.1

install apache.conf $RPM_BUILD_ROOT%{_webappdir}/apache.conf
install apache.conf $RPM_BUILD_ROOT%{_webappdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%preun
rm -f /var/cache/man/cat[123456789n]/*
rm -f /var/cache/man/local/cat[123456789n]/*
rm -f /var/cache/man/X11R6/cat[123456789n]/*
rm -f /var/cache/man/??/cat[123456789n]/*
rm -f /var/cache/man/??_??/cat[123456789n]/*
rm -f /var/cache/man/local/??/cat[123456789n]/*
rm -f /var/cache/man/local/??_??/cat[123456789n]/*
rm -f /var/cache/man/X11R6/??/cat[123456789n]/*
rm -f /var/cache/man/X11R6/??_??/cat[123456789n]/*

%post
rm -f /var/cache/man/cat[123456789n]/*
rm -f /var/cache/man/local/cat[123456789n]/*
rm -f /var/cache/man/X11/cat[123456789n]/*
rm -f /var/cache/man/??/cat[123456789n]/*
rm -f /var/cache/man/??_??/cat[123456789n]/*
rm -f /var/cache/man/local/??/cat[123456789n]/*
rm -f /var/cache/man/local/??_??/cat[123456789n]/*
rm -f /var/cache/man/X11R6/??/cat[123456789n]/*
rm -f /var/cache/man/X11R6/??_??/cat[123456789n]/*

%triggerin -n man2html-cgi -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -n man2html-cgi -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -n man2html-cgi -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -n man2html-cgi -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -n man2html-cgi -- man2html-cgi < 1.6b-2.16
# rescue apache config
if [ -f /etc/man/apache-man2html-cgi.conf.rpmsave ]; then
	if [ -d /etc/apache/webapps.d ]; then
		cp -f %{_webappdir}/apache.conf{,.rpmnew}
		cp -f /etc/man/apache-man2html-cgi.conf.rpmsave %{_webappdir}/apache.conf
	fi

	if [ -d /etc/httpd/webapps.d ]; then
		cp -f %{_webappdir}/httpd.conf{,.rpmnew}
		cp -f /etc/man/apache-man2html-cgi.conf.rpmsave %{_webappdir}/httpd.conf
	fi
	rm -f /etc/man/apache-man2html-cgi.conf.rpmsave
fi

# re-register with webapp
if [ -L /etc/apache/conf.d/09_man.conf ]; then
	rm -f /etc/apache/conf.d/09_man.conf
	/usr/sbin/webapp register apache %{_webapp}
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/09_man.conf ]; then
	rm -f /etc/httpd/httpd.conf/09_man.conf
	/usr/sbin/webapp register httpd %{_webapp}
	%service -q httpd reload
fi

%files -f man.lang
%defattr(644,root,root,755)
%doc HISTORY README TODO
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/tmpwatch/*.conf
%attr(2755,root,man) %{_bindir}/man
%attr(755,root,root) %{_bindir}/man2dvi
%attr(755,root,root) %{_bindir}/zsoelim
%{_mandir}/man1/man.1*

# Supported languages bg cs da de en es fi fr hr hu it ja nl pl pt ro sl
%lang(bg) %{_mandir}/bg/man1/man.1*
%lang(cs) %{_mandir}/cs/man1/man.1*
%lang(da) %{_mandir}/da/man1/man.1*
%lang(de) %{_mandir}/de/man1/man.1*
%lang(el) %{_mandir}/el/man1/man.1*
%lang(es) %{_mandir}/es/man1/man.1*
%lang(fi) %{_mandir}/fi/man1/man.1*
%lang(fr) %{_mandir}/fr/man1/man.1*
%lang(hr) %{_mandir}/hr/man1/man.1*
%lang(hu) %{_mandir}/hu/man1/man.1*
%lang(it) %{_mandir}/it/man1/man.1*
%lang(ja) %{_mandir}/ja/man1/man.1*
%lang(ko) %{_mandir}/ko/man1/man.1*
%lang(nl) %{_mandir}/nl/man1/man.1*
%lang(pl) %{_mandir}/pl/man1/man.1*
%lang(pt) %{_mandir}/pt/man1/man.1*
%lang(ro) %{_mandir}/ro/man1/man.1*
%lang(sl) %{_mandir}/sl/man1/man.1*

%{_datadir}/locale/en/man
%lang(bg) %{_datadir}/locale/bg/man
%lang(cs) %{_datadir}/locale/cs/man
%lang(da) %{_datadir}/locale/da/man
%lang(de) %{_datadir}/locale/de/man
%lang(el) %{_datadir}/locale/el/man
%lang(es) %{_datadir}/locale/es/man
%lang(fi) %{_datadir}/locale/fi/man
%lang(fr) %{_datadir}/locale/fr/man
%lang(hr) %{_datadir}/locale/hr/man
%lang(it) %{_datadir}/locale/it/man
%lang(ja) %{_datadir}/locale/ja/man
%lang(ko) %{_datadir}/locale/ko/man
%lang(nl) %{_datadir}/locale/nl/man
%lang(pl) %{_datadir}/locale/pl/man
%lang(pt) %{_datadir}/locale/pt/man
%lang(ro) %{_datadir}/locale/ro/man
%lang(ru) %{_datadir}/locale/ru/man
%lang(sl) %{_datadir}/locale/sl/man

%files config
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/man.config
%{_mandir}/man5/*
%lang(bg) %{_mandir}/bg/man5/*
%lang(cs) %{_mandir}/cs/man5/*
%lang(da) %{_mandir}/da/man5/*
%lang(de) %{_mandir}/de/man5/*
%lang(el) %{_mandir}/el/man5/*
%lang(es) %{_mandir}/es/man5/*
%lang(fi) %{_mandir}/fi/man5/*
%lang(fr) %{_mandir}/fr/man5/*
%lang(hr) %{_mandir}/hr/man5/*
%lang(it) %{_mandir}/it/man5/*
%lang(ja) %{_mandir}/ja/man5/*
%lang(ko) %{_mandir}/ko/man5/*
%lang(nl) %{_mandir}/nl/man5/*
%lang(pl) %{_mandir}/pl/man5/*
%lang(pt) %{_mandir}/pt/man5/*
%lang(ro) %{_mandir}/ro/man5/*
%lang(sl) %{_mandir}/sl/man5/*

%files whatis
%defattr(644,root,root,755)
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.weekly/makewhatis
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.daily/makewhatis
%attr(755,root,root) %{_bindir}/apropos
%attr(755,root,root) %{_bindir}/whatis
%attr(755,root,root) %{_sbindir}/makewhatis
%config(noreplace,missingok) %verify(not md5 mtime size) /var/cache/man/whatis
%{_mandir}/man1/[aw]*
%{_mandir}/man8/*
%lang(bg) %{_mandir}/bg/man1/[aw]*
%lang(bg) %{_mandir}/bg/man8/*
%lang(cs) %{_mandir}/cs/man1/[aw]*
%lang(da) %{_mandir}/da/man1/[aw]*
%lang(de) %{_mandir}/de/man1/[aw]*
%lang(el) %{_mandir}/el/man1/[aw]*
%lang(el) %{_mandir}/el/man8/*
%lang(es) %{_mandir}/es/man1/[aw]*
%lang(fi) %{_mandir}/fi/man1/[aw]*
%lang(fr) %{_mandir}/fr/man1/[aw]*
%lang(fr) %{_mandir}/fr/man8/*
%lang(hr) %{_mandir}/hr/man1/[aw]*
%lang(hu) %{_mandir}/hu/man1/[aw]*
%lang(it) %{_mandir}/it/man1/[aw]*
%lang(it) %{_mandir}/it/man8/*
%lang(ja) %{_mandir}/ja/man1/[aw]*
%lang(ja) %{_mandir}/ja/man8/*
%lang(ko) %{_mandir}/ko/man1/[aw]*
%lang(nl) %{_mandir}/nl/man1/[aw]*
%lang(pl) %{_mandir}/pl/man1/[aw]*
%lang(pt) %{_mandir}/pt/man1/[aw]*
%lang(ro) %{_mandir}/ro/man1/[aw]*
%lang(ro) %{_mandir}/ro/man8/*
%lang(sl) %{_mandir}/sl/man1/[aw]*

%files -n man2html
%defattr(644,root,root,755)
%doc {man2html/README,man2html/TODO}
%attr(755,root,root) %{_bindir}/man2html
%{_mandir}/man1/man2html.1*
%lang(el) %{_mandir}/el/man1/man2html.1*
%lang(ja) %{_mandir}/ja/man1/man2html.1*
%lang(pl) %{_mandir}/pl/man1/man2html.1*
%lang(ro) %{_mandir}/ro/man1/man2html.1*

%files -n man2html-cgi
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hman
%dir %{_cgibinmandir}
%attr(755,root,root) %{_cgibinmandir}/*
%{_cgiauxmandir}
%dir %attr(775,root,http) /var/cache/man2html
/var/cache/man2html/.glimpse_filters
%{_mandir}/man1/hman.1*
%lang(el) %{_mandir}/el/man1/hman.1*
%lang(ja) %{_mandir}/ja/man1/hman.1*
%dir %attr(750,root,http) %{_webappdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webappdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webappdir}/httpd.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: man.spec,v $
Revision 1.128.2.5  2007/06/08 20:39:02  ankry
- added missing dir (ca), rel. 6

Revision 1.128.2.4  2007/03/06 11:01:36  blues
- rel.5 - really fix tmpwatch problem. STBR.

Revision 1.128.2.3  2007/03/01 20:41:02  blues
- don't try to do tmpwatch jobs for every directory. Pointless... STBR

Revision 1.128.2.2  2007/02/04 17:13:09  blues
- "-d" option for man cache

Revision 1.128.2.1  2006/11/06 17:59:43  glen
- AC-branch due filesystem version mismatch

Revision 1.128  2006/10/27 18:27:40  qboosh
- updated dep for /usr/lib/cgi-bin dir (FHS -> filesystem); release 3

Revision 1.127  2006/10/15 20:56:51  qboosh
- todo: config name inconsistency

Revision 1.126  2006/10/01 17:44:50  glen
- rel 2

Revision 1.125  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.124  2006/07/31 23:50:40  sparky
- pass BUILD_CC, used for internal tools

Revision 1.123  2006/07/31 23:34:21  sparky
- updated to 1.6d

Revision 1.122  2006/05/19 21:26:16  glen
- use %service; rel 6

Revision 1.121  2006/05/12 20:33:27  witekfl
- added encoding.patch
- rel 5

Revision 1.120  2006/05/12 18:26:10  witekfl
- added relat.patch
- rel 4

Revision 1.119  2006/03/22 23:09:09  blues
- added tmpwatch file

Revision 1.118  2006/02/11 01:28:13  charles
- fix "makewhatis from man spits errors" - reported by glen; updated -makewhatis.patch
- rel. 3, STBR

Revision 1.117  2006/02/03 16:45:32  baggins
- release 2

Revision 1.116  2006/02/03 16:40:54  glen
- apache-base in webapp trigger

Revision 1.115  2006/01/24 20:11:51  paszczus
- updated to 1.6c

Revision 1.114  2006/01/20 10:20:15  qboosh
- updated pl and de descs

Revision 1.113  2006/01/19 19:25:04  aredridel
- fix description (needs work and translation)

Revision 1.112  2005/12/30 14:38:06  glen
- fix man2html-cgi package (convert to webapps); rel 3

Revision 1.111  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.110  2005/12/10 13:28:48  qboosh
- sync localized man dirs with FHS

Revision 1.109  2005/11/05 14:35:58  qboosh
- added dirs for tr man cache

Revision 1.108  2005/09/21 12:16:11  paszczus
- simultaneous builds works again (removed -j1 option from %{__make})

Revision 1.107  2005/09/21 12:14:28  paszczus
- updated to 1.6b
- added man8 to fr
- STBR

Revision 1.106  2005/08/26 16:26:40  twittner
- moved R: FHS >= 2.3-12 i proper place - newest FHS is required only
  by man-man2html-cgi package

Revision 1.105  2005/08/23 20:10:58  twittner
- force make -j1 - simultaneous builds fail (reported by paszczus,
  confirmed by me)

Revision 1.104  2005/08/23 19:18:09  paszczus
- backing to %{__make}

Revision 1.103  2005/08/23 18:53:33  paszczus
- updated to 1.6a
- added URL
- adaptarized
- sorted BR

Revision 1.102  2005/08/09 18:37:01  charles
- added subpackage -whatis, since he requires crondaemon and
  relations resulting from it
- fixed install makewhatis.{crondaily,weekly}
- fixed -ro-usr.patch (now database whatis is formed)

Revision 1.101  2005/07/09 07:55:51  twittner
- fixed man2html-cgi, mainly paths: added -cgi_paths.patch, moved
  /home/http/cgi-bin/man -> /usr/lib/cgi-bin/man
  /home/http/cgi-aux/man -> /usr/share/man2html-cgi
- added configuration and triggers for apaches
- req: FHS >= 2.3-12
- rel. 2

Revision 1.100  2005/03/11 08:50:34  qboosh
- bzip2 no longer Red

Revision 1.99  2005/03/10 20:53:00  qboosh
- set compress=gzip in default config

Revision 1.98  2005/03/09 22:09:40  qboosh
- fixed previous commit fix, strict internal dep

Revision 1.97  2005/03/09 21:53:10  qboosh
- updated nls-priority patch and files
- fixed patch names in previous commit
- release 1

Revision 1.96  2005/03/07 22:02:05  paszczus
- updated to 1.5p
- updated man-{fhs,fmntbug,gencat,man2html,manpaths,ro-usr}.patch
- removed obsoletes man-{lookon,segv}.patch
- release 0.5 (tommarow i will update man-nls-priority.patch) and will be release 1

Revision 1.95  2005/01/02 22:41:47  ankry
- R: bzip2 (... or don't use it for compressing cat pages in default config)

Revision 1.94  2004/12/19 20:01:53  ankry
- added cache dirs for more langs (sk, sr, uk), rel. 2

Revision 1.93  2004/12/10 23:41:50  adamg
- updated to 1.5o1

Revision 1.92  2004/11/03 06:20:38  pluto
- fixed interpreter location.

Revision 1.91  2004/10/24 21:38:06  paladine
- spelling fix, uppercases, etc.

Revision 1.90  2004/09/02 10:25:18  snurf
- typos / formatting / etc.

Revision 1.89  2004/08/23 20:59:38  qboosh
- updated to 1.5o, removed obsolete locales,pl_man_pages,nls-codesets patches

Revision 1.88  2004/08/03 20:44:14  qboosh
- updated to 1.5n, updated man2html,fhs,pmake,nls_codesets patches
- removed gencat_glibc patch (obsolete when codesets are specified)

Revision 1.87  2003/12/03 00:04:48  undefine
- release 2 to rebuild with ac

Revision 1.86  2003/10/31 15:25:12  qboosh
- comment fix

Revision 1.85  2003/10/03 22:51:29  blues
- added TODO

Revision 1.84  2003/09/08 21:22:14  grzegol
- updated to 1.5m2

Revision 1.83  2003/08/31 17:41:10  mmazur
- rel 2 for ac

Revision 1.82  2003/08/10 11:50:50  qboosh
- 1.5m1, updated man2html,roff,ro-usr patches
- added nls-codesets patch (for proper *.cat generation without locale-archive)
- more standard macros for */httpd and cgi-bin

Revision 1.81  2003/07/30 09:08:27  blues
- release 5 - more macros, some cleanups and simplifications

Revision 1.80  2003/07/18 10:09:11  qboosh
- release 4 (3 was for ra)

Revision 1.79  2003/06/08 14:15:39  dzimi
- rel 3
- merge security patch from HEAD added by ciril (fix buffer overflow)

Revision 1.78  2003/06/07 21:58:39  ciril
- Security fix - format string vulnerability (thanks misi3k)

Revision 1.77  2003/05/29 11:54:22  adgor
- Fixed Source3-md5

Revision 1.76  2003/05/27 10:49:08  trojan
- added Source-md5

Revision 1.75  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.74  2003/05/25 05:50:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.73  2003/03/11 22:31:37  qboosh
- switched to primary site
- localized man updates, get from Source3 only mans not found in sources
- release 2

Revision 1.72  2003/03/11 21:29:15  kloczek
- merge segv patch from RH (fix segfault when running  'man --'),
- merge translations from MIZI.

Revision 1.71  2003/03/11 21:15:21  kloczek
- updated to 1.5l,
- security fixes:
  Fixed a bug which results in arbitrary code execution upon reading
  a specially formatted man file. The basic problem is, upon finding
  a string with a quoting problem, the function my_xsprintf in util.c
  will return "unsafe" (rather than returning a string which could
  be interpreted by the shell). This return value is passed directly to
  system(3) - meaning if there is any program named `unsafe`, it will execute
  with the privs of the user.
- updated %files (more translations).

Revision 1.70  2003/03/01 10:12:41  juandon
- added pmake.patch

Revision 1.69  2003/02/25 20:48:04  radek
- added the 3p section for perl modules' documentation
- release 4

Revision 1.68  2003/01/17 13:14:05  ankry
- added obsoletes for man-* packages from Freshmeat Linux; rel. 3

Revision 1.67  2002/12/29 16:16:06  adgor
- Fixed %install (/home -> /home/services)

Revision 1.66  2002/12/14 00:28:22  ankry
- adapterized man.spec openoffice.spec wxGTK.spec

Revision 1.65  2002/12/07 15:33:07  orzech
- /home/httpd -> /home/services/httpd

Revision 1.64  2002/07/30 17:52:57  qboosh
- added ja,ru locales
- release 2

Revision 1.63  2002/07/29 22:22:20  ankry
- updated to 1.5k
- removed obsolete -msgs.patch
- added -gencat_glibc.patch to fix cat file generation on glibc
  [ glibc's gencat needs proper locale to be set before use ]
- new %%doc
- add forgotten(?) %%doc files
- release 1

Revision 1.62  2002/06/17 06:21:32  kloczek
- merge translations from KSI and Conectiva.

Revision 1.61  2002/06/15 11:49:41  ankry
- removed %%lang(en), ranamed zh_*
- release 8

Revision 1.60  2002/03/21 06:58:52  orzech
- rel 7, STBR

Revision 1.59  2002/03/12 16:01:17  orzech
- man: man-config subpackage, Req: man-config
- pinfo: Req: man-config
- XFree86: Req: man-config (for xman)

Revision 1.58  2002/03/06 00:02:55  qboosh
- FHS 2.2: /usr/local/share/man back to /usr/local/man
- release 6

Revision 1.57  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.56  2002/01/18 02:13:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.55  2001/11/22 06:57:16  ankry
- added zsoelim as link to soelim (it exists in man_db; xman requires it)
- release 5

Revision 1.54  2001/11/02 22:10:50  ankry
- updated pl man page for man
- added BuildRequires: less (otherwise package contents - man.conf, man.1 -\
  is dependent on the build system configuration
- release 4

Revision 1.53  2001/10/20 14:25:44  kloczek
- release 3.

Revision 1.52  2001/10/16 23:38:07  ankry
- fixed section names in Polish man-pages

Revision 1.51  2001/10/15 21:52:43  qboosh
- updated to 1.5i2, removed obsolete mansect patch, updated almost all other
- merged sec patch into security patch (changing the same fragment)
- FHS: moved /var/man2html to /var/cache/man2html, fixed owner (not nobody!)
- fixed and updated %%files, added dir for hr

Revision 1.50  2001/10/03 14:32:34  qboosh
- release 30: s/makewhatis\.cron/makewhatis/

Revision 1.49  2001/09/27 19:51:38  qboosh
- ugh, added fixes for using glibc catopen to nls-priority patch
- added fixes for many typos to locales patch
- fixed --debug
- release 29

Revision 1.48  2001/09/24 22:37:18  qboosh
- added nls-priority patch: try to use locale variables with gettext-like
  priorities (LANG < LC_MESSAGES < LC_ALL)
  Does somebody want to add (full) gettext support? :)
- release 28

Revision 1.47  2001/09/22 20:27:22  qboosh
- release 27: Prereq: fileutils (because of rm)

Revision 1.46  2001/09/14 05:28:02  ankry
- added directories for Chinese
- increased revision to 26

Revision 1.45  2001/09/13 21:03:37  ankry
- added dirs for Hungarian (hu) and Indonesian (id)

Revision 1.44  2001/05/10 12:30:08  inglod
Add Requires gzip

Revision 1.43  2001/05/02 21:51:23  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.42  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.41  2001/03/14 23:48:42  kloczek
- release 14.

Revision 1.40  2001/03/14 23:39:37  qboosh
- added dirs for bg,ja,pt_BR,ru,sv in /var/cache/man
- generate big part of %%files automagically

Revision 1.39  2001/03/13 20:11:11  misiek
fixed bug which caused pinfo to fail when working with manuals; rel 23; stb

Revision 1.38  2001/02/27 10:04:41  wiget
more %%config(noreplace)

Revision 1.37  2001/02/26 22:24:50  qboosh
- more FHS: /usr/local/man -> /usr/local/share/man
- added /var/cache/man/whatis to package
- Requires: mktemp >= 1.5-8 (makewhatis uses mktemp -d)
- release 21

Revision 1.36  2001/02/23 17:11:34  qboosh
- oops. uncommented back %%clean section

Revision 1.35  2001/02/22 19:35:29  kloczek
- release 20,
- merge bunch patches from rawhide (few is security class),
- spec adapterized.

Revision 1.34  2001/02/22 17:22:10  qboosh
- skip empty lines and comments when searching ".so file"
- don't add "(nlu+10" - GNU roff doesn't understand it
- added rest of /var/cache/man/* directories to package
- release 5

Revision 1.33  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.32  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.31  2000/12/11 16:38:51  kloczek
- release 4,
- use new rpm automation and simplificattions in %install.

Revision 1.30  2000/12/11 08:26:45  qboosh
- locales patch

Revision 1.29  2000/07/14 15:50:48  zagrodzki
- requires: /bin/awk

Revision 1.28  2000/07/14 15:47:06  zagrodzki
- release 3
- updated man-makewhatis.patch (/bin/awk)

Revision 1.27  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/29 20:39:41  kloczek
- updated to 1.5h1,
- added seurity patch (from rawhide) and removed outdated loop patch,
- spec adapterized.

Revision 1.25  2000/05/16 17:11:28  zagrodzki
Requires: less

Revision 1.24  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.22  2000/01/29 19:11:54  kloczek
- release 9,
- fixed makewhatis scriptsts (now not depends on bash),
- spec adapterized.

Revision 1.21  1999/11/15 14:46:39  siewca
dded msafer option as a default when invoking troff or groff.

Revision 1.20  1999/09/25 16:14:37  kloczek
- added missing %patch6.

Revision 1.19  1999/09/25 16:12:09  kloczek
- release 7,
- new fhs patch,
- added loop patch from rawhide (fixed man2html loop on terminfo.5),
- new makewhatis dayly and weekly scripts (also from rawhide).

Revision 1.18  1999/07/12 23:06:07  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May  7 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.5g-2]
- FHS 2.0 compilant changes.

* Wed Apr 28 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.5g-1]
- upgraded to 1.5g
- rewrited man-man2html.patch
- replacement in files
- gzipped man pages and docs

* Sun Dec 20 1998 Marek Obuchowicz <elephant@shadow.eu.org>
  [1.5f-2d]
- fixed permissions
- little spec modifications

* Thu Sep 17 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.5f-1d]
- updated to 1.5f
  (based on Konrad Stpie <konrad@interdata.com.pl> spec file),
- fixed pl translation.

* Mon Sep 14 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.5d-5d]
- build against GNU libc-2.1,
- restricted files permissions,
- macro %%{name} in all Sources,
- macro %%config %%verify(not size mtime md5) for /etc/man.config.

* Sat Aug 26 1998 Konrad Stepien <konrad@interdata.com.pl>
  [1.5d-5]
- Reconfig to include international locales and man pages,
- Removed -D_GNU_SOURCE flag,
- Fix %install, to not install man2html
- "install -d" instead "mkdir -p" in %install,
- few simplification in %install,
- added pl translation,
- start at RH spec.
